(function() {
    document.write('<link rel="stylesheet" href="./css/swiper.min.css"/>');
    document.write("<script type='text/javascript' src='./js/swiper.min.js'></script>");
})();

var MySwiper = {
    exports:{}
};


(function() {
    var
        firstLoadSwiper = true,
        mySwiper = null,
        isPullDown = false;
        
    function installSwiper(domList, isMore, refresh, loadMore) {
        var context = $(".swiper-wrapper")[0];
        
        if (!firstLoadSwiper) {
            if (isPullDown) {
                mySwiper.setTranslate(0);
            } else {
                var listHeight = mySwiper.$wrapperEl.css('height');
                listHeight = parseInt(listHeight.substring(0, listHeight.indexOf('p')));
                var screenHeight = $(".swiper-container").css('height');
                screenHeight = parseInt(screenHeight.substring(0, screenHeight.indexOf('p')));
                mySwiper.setTranslate(screenHeight - listHeight);
            }
        }
        
        if (isMore) {
            $(".sufloader").remove();
        } else {
            $(".swiper-wrapper").empty();
            var pre = $('<div class="preloader"> Loading... </div>');
            $(".swiper-wrapper").append(pre);
            pre.css("position", "absolute")
            .css("line-height", "3em")
            .css("bottom", "100%")
            .css("text-align", "center")
            .css("width", "100%");
        }
        
        for(var i = 0; i < domList.length; i++) {
            var ele = domList[i];
            $(ele).addClass("swiper-slide");
            $(".swiper-wrapper").append(ele);
        }
        
        var suf = $('<div class="sufloader"> Loading... </div>');
        $(".swiper-wrapper").append(suf);
        suf.css("position", "absolute")
        .css("line-height", "3em")
        .css("top", "100%")
        .css("text-align", "center")
        .css("width", "100%");
        
        
        setTimeout(function() {
            if (firstLoadSwiper) {
                initPullRefresh(refresh, loadMore);
                firstLoadSwiper = false;
            }
            mySwiper.update();
            mySwiper.updateSlides();
            mySwiper.updateSize();
        }, 500);
    }
    
    
    function initPullRefresh(refresh, loadMore) {
        var preTranslate = 0;
        mySwiper = new Swiper(".swiper-container", {
            direction: 'vertical',
            slidesPerView: 'auto',
            setWrapperSize: true,
            freeMode: true,
            on: {
                touchStart: function() {
                    preTranslate = this.translate;
                },
                touchMove: function() {
                    
                },
                touchEnd: function() {
                    if (preTranslate < this.translate) {
                        if (this.isBeginning) {
                            if (this.translate > 100) { // 下拉刷新
                                isPullDown = true;
                                this.setTranslate(100);
                                this.setTransition(300);
                                this.touchEventsData.isTouched = false;
                                refresh();
                            }
                        }
                    } else {
                        if (this.isEnd) {
                            var listHeight = this.$wrapperEl.css('height');
                            listHeight = parseInt(listHeight.substring(0, listHeight.indexOf('p')));
                            var screenHeight = $(".swiper-container").css('height');
                            screenHeight = parseInt(screenHeight.substring(0, screenHeight.indexOf('p')));
                            // if (screenHeight - listHeight > 0) { // 不满一屏                          
                            // } else {
                                if (this.translate < (screenHeight - listHeight) - 100) {
                                    this.setTranslate((screenHeight - listHeight) - 100);
                                    this.setTransition(300);
                                    this.touchEventsData.isTouched = false;
                                    loadMore();
                                }
                            // }
                        }
                    }
                }
            }
        });
    }
    
    MySwiper.exports = {
        installSwiper:installSwiper
    };
})()


