(function($) {
    
    appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
    });
    
    appcan.button("#nav-right", "btn-act", function() {
        
    });
    
    // container.myzhoudao.com
    // localhost:8080
    var path = "container.myzhoudao.com";
    var url = "http://" + path + "/LogisticsProvider_jzx/bill-plan";
    var postUrl = "http://" + path + "/LogisticsProvider_jzx/renling";
    var cancelRenLingUrl = "http://" + path + "/LogisticsProvider_jzx/cancel-renling"
    
   var orgId ;
    var zyfs ;
    var billNo ;
     var key ;
     var userId ;
    
    appcan.ready(function() {
        
     //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
    //var orgId = appcan.locStorage.val("changzhan-org");
    //var zyfs = appcan.locStorage.val("changzhan-zyfs");
    //var billNo = appcan.locStorage.val("changzhan-tdh");
    //var key = appcan.locStorage.val("changzhan-renling-search-key");
    //var userId = appcan.locStorage.val("userId");
     orgId = getLocVal("changzhan-org");
     zyfs = getLocVal("changzhan-zyfs");
    billNo = getLocVal("changzhan-tdh");
     key = getLocVal("changzhan-renling-search-key");
     userId = getLocVal("userId");
        
        var height = $("#Header_KR5GSE").offset().height;
        $("#Box_r6Dej3").css("height", $("body").offset().height - height);
        
        update();
    })
    
    function update() {
        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        //var flag = appcan.locStorage.val("changzhan-search");
        var flag = getLocVal("changzhan-search");
        
        if (flag === "2") { // 展示搜索结果
            $("#tdh-title").text("搜索结果");
            
            if (key && key.length > 3) { // 关键词要大于3个字母
                var searchUrl = "http://" + path + "/LogisticsProvider_jzx/renling-search";
                
                get(searchUrl, {orgId:orgId, key:key}, function(data) {
                    if (data) {
                        if ("data" in data && data.data.length > 0) { // 查到数据了
                            createList(data.data);
                        } else { // 没查到数据
                            appcan.window.alert({
                                title: "查询结果为空",
                                content: "未查询到相关条码，是否将搜索范围扩大到5至10天？",
                                buttons: ["确定", "取消"],
                                callback: function(err, data, type, optId) {
                                    if (data === "0" || data === 0) { // 点击确定
                                        get(searchUrl, {orgId:orgId, key:key, start:5}, function(data) { // 请求5至10天的范围
                                            if (data && "data" in data && data.data.length > 0) { // 请求成功
                                                createList(data.data);
                                            }
                                        });
                                    }
                                }
                            });
                        }
                    }
                });
            } else {
                alert("关键字必须超过4个字符！");
            }
        } else { // 展示提单号下的条码
            $("#tdh-title").text(billNo);
            get(url, {zyfs:zyfs, bill:billNo, orgid:orgId}, function(data) {
                if (data) {
                    console.log(data);
                    if ("data" in data && data.data.length > 0) {
                        createList(data.data);
                    }
                }
            });
        }
    }
    
    function createList(data) {
        if (data.length <= 0) return;
        $("#Box_r6Dej3").empty();
        $.each(data, function(k, v) {
            var cell = createCell(v);
            $("#Box_r6Dej3").append(cell);
        });
    }
    
    function createCell(v) {
        console.log(v);
        var cell = $("<div class='ub' id='" + v.txm + "'></div>");
        
        var txmDiv = $("<div class='ub ub-pc ub-ver' id='txm'></div>");
        var txmText = $("<div class='ub' id='text'>条形码：" + v.txm + "</div>");
        var zuoyefangshi = v.zyfs;
        if (zuoyefangshi === "提空进重") {
            if (!v.xh || v.xh.length == 0) {
                zuoyefangshi = "可提空";
            } else {
                zuoyefangshi = "待进重";
            }
        }
        var Text_S5Hf4j = $('<div data-control="TEXT" class="ub ub-pc ub-ac" id="Text_S5Hf4j">' + zuoyefangshi + '</div>');
        txmText.append(Text_S5Hf4j);
        var xhText = $("<div class='ub' id='text2'>箱号：" + v.xh + "</div>");
        txmDiv.append(txmText);
        txmDiv.append(xhText);
        cell.append(txmDiv);
        
        var driId = v.driId;
        var statusDiv = null;
        
        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        //var userId = appcan.locStorage.val("userId");
        var userId = getLocVal("userId");
        
        if (v.zyfs === "提空进重" && v.xh.length === 0) { // 提空进重的提空
            if (!driId || driId === "" || driId.length == 0) { //无人认领的情况
                statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>认领</div>");
                statusDiv.css("color", "blue");
                
                statusDiv[0].addEventListener("click", function() {
                    appcan.window.alert({
                        title: "认领",
                        content: "确定要认领" + v.xh + "?",
                        buttons: ["确定", "取消"],
                        callback: function(err, data, type, optId) {
                            if (data === "0" || data === 0) {
                                get(postUrl, {userId:userId, zyfs:zyfs, txm:cell.attr("id"), flag:"1"}, function(data) {
                                    if (data.status === "success") {
                                        update();
                                        alert("领取成功");
                                    } else {
                                        alert("您已达到最大认领数或该条码已被别人认领");
                                    }
                                });
                            }
                        }
                    });
                });
            } else { // 有人认领的情况
                if (userId === driId) { // 如果认领人是自己
                    statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>取消认领</div>");
                    statusDiv.css("color", "red");
                    
                    statusDiv[0].addEventListener("click", function() {
                        get(cancelRenLingUrl, {driverId:userId, txm:v.txm}, function(data) {
                            update();
                            alert("已取消认领");
                        })
                    })
                } else { // 如果认领人是别人
                    statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>不可领取\n" + v.user_name + "</div>");
                    statusDiv.css("color", "gray");
                }
            }
            
            cell.append(statusDiv);
            
            statusDiv.css("width", "30%")
            .css("height", "100%");
        }
        
        if (v.zyfs === "提空进重" && v.xh.length > 0) { // 提空进重的进重
            if (!driId || driId === "" || driId.length == 0) {
                statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>认领</div>");
                statusDiv.css("color", "blue");
                
                statusDiv[0].addEventListener("click", function() {
                    appcan.window.alert({
                        title: "认领",
                        content: "确定要认领" + v.xh + "?",
                        buttons: ["确定", "取消"],
                        callback: function(err, data, type, optId) {
                            if (data === "0" || data === 0) {
                                get(postUrl, {userId:userId, zyfs:zyfs, txm:cell.attr("id"), flag:"2"}, function(data) {
                                    if (data.status === "success") {
                                        update();
                                        alert("领取成功");
                                    } else {
                                        alert("认领失败，请检查网络或联系工作人员");
                                    }
                                });
                            }
                        }
                    });
                });
            } else {
                if (userId === driId) {
                    statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>取消认领</div>");
                    statusDiv.css("color", "red");
                    
                    statusDiv[0].addEventListener("click", function() {
                        get(cancelRenLingUrl, {driverId:userId, txm:v.txm}, function(data) {
                            update();
                            alert("已取消认领");
                        })
                    })
                } else {
                    statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>抢走</div>");
                    statusDiv.css("color", "blue");
                    
                    statusDiv[0].addEventListener("click", function() {
                        appcan.window.alert({
                            title: "认领",
                            content: "该条码目前在别人名下，确定要抢走" + v.xh + "?",
                            buttons: ["确定", "取消"],
                            callback: function(err, data, type, optId) {
                                if (data === "0" || data === 0) {
                                    get(postUrl, {userId:userId, zyfs:zyfs, txm:cell.attr("id"), flag:"2"}, function(data) {
                                        if (data.status === "success") {
                                            update();
                                            alert("领取成功");
                                        } else {
                                            alert("认领失败，请检查网络或联系工作人员");
                                        }
                                    });
                                }
                            }
                        });
                    });
                }
            }
            cell.append(statusDiv);
            
            statusDiv.css("width", "30%")
            .css("height", "100%");
        }
        
        if (v.zyfs === "进重") { // 进重
            if (!driId || driId === "" || driId.length == 0) {
                statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>认领</div>");
                statusDiv.css("color", "blue");
                
                statusDiv[0].addEventListener("click", function() {
                    appcan.window.alert({
                        title: "认领",
                        content: "确定要认领" + v.xh + "?",
                        buttons: ["确定", "取消"],
                        callback: function(err, data, type, optId) {
                            if (data === "0" || data === 0) {
                                get(postUrl, {userId:userId, zyfs:zyfs, txm:cell.attr("id"), flag:"-1"}, function(data) {
                                    if (data.status === "success") {
                                        update();
                                        alert("领取成功");
                                    } else {
                                        alert("您已达到最大认领数或该条码已被别人认领");
                                    }
                                });
                            }
                        }
                    });
                });
            } else {
                if (userId === driId) {
                    statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>取消认领</div>");
                    statusDiv.css("color", "red");
                    
                    statusDiv[0].addEventListener("click", function() {
                        get(cancelRenLingUrl, {driverId:userId, txm:v.txm}, function(data) {
                            update();
                            alert("已取消认领");
                        })
                    })
                } else {
                    statusDiv = $("<div class='ub ub-pc ub-ac' id='status'>抢走</div>");
                    statusDiv.css("color", "blue");
                    
                    statusDiv[0].addEventListener("click", function() {
                        appcan.window.alert({
                            title: "认领",
                            content: "确定要抢走" + v.xh + "?" + "该条码目前被别人认领了",
                            buttons: ["确定", "取消"],
                            callback: function(err, data, type, optId) {
                                if (data === "0" || data === 0) {
                                    get(postUrl, {userId:userId, zyfs:zyfs, txm:cell.attr("id"), flag:"-1"}, function(data) {
                                        if (data.status === "success") {
                                            update();
                                            alert("领取成功");
                                        } else {
                                            alert("您已达到最大认领数");
                                        }
                                    });
                                }
                            }
                        });
                    });
                }
            }
            cell.append(statusDiv);
            
            statusDiv.css("width", "30%")
            .css("height", "100%");
        }
        
        cell.css("width", "100%")
        .css("height", "4em")
        .css("backgroundColor", "white")
        .css("border-bottom", "1px solid rgba(200, 200, 200, 1)");
        
        txmDiv.css("width", "70%")
        .css("height", "100%");
    
        Text_S5Hf4j.css("color", "white")
        .css("background-color", "rgba(76, 182, 72, 1)")
        .css("font-size", "0.6em")
        .css("margin-left", "1em")
        .css("padding-left", "0.5em")
        .css("padding-right", "0.5em");
        
        if (zuoyefangshi === "待进重") {
            Text_S5Hf4j.css("background-color", "rgba(238, 121, 66, 1)");
        }
        
        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        //var userId = appcan.locStorage.val("userId");
        var userId = getLocVal("userId");
        
        
        if (userId && driId && userId !== "" && driId !== "") {
            if (userId === driId) {
                txmText.css("color", "red");
                xhText.css("color", "red");
            }
        }
        
        txmText.css("padding-left", "1em");
        xhText.css("padding-left", "1em");
        
        return cell;
    }
    
    // ajax
    function get(url, args, cbsuccess) {
        showSpin();
        var request = $.ajax({
            type:"GET",
            timeout:10000,
            url:url,
            data:args,
            dataType:"json",
            success:function(data) {
                if (cbsuccess) {
                    cbsuccess(data);
                }
            },
            complete:function() {
                hideSpin();
            }
        });
        
        return request;
    }
    
    // 添加Loading图
    function showSpin() {
        var newMark = $("<div id='mark' style='position:absolute;left:0;top:0;width:100%;height:100%;background-color:rgba(0,0,0,0.5);z-index:9999;'></div>");
        $("body").append(newMark);
        var opts = {
          lines: 13, // The number of lines to draw
          length: 15, // The length of each line
          width: 8, // The line thickness
          radius: 20, // The radius of the inner circle
          scale: 0.5, // Scales overall size of the spinner
          corners: 1, // Corner roundness (0..1)
          color: '#ffffff', // CSS color or array of colors
          fadeColor: 'transparent', // CSS color or array of colors
          speed: 1, // Rounds per second
          rotate: 0, // The rotation offset
          animation: 'spinner-line-fade-quick', // The CSS animation name for the lines
          direction: 1, // 1: clockwise, -1: counterclockwise
          zIndex: 2e9, // The z-index (defaults to 2000000000)
          className: 'spinner', // The CSS class to assign to the spinner
          top: 'auto', // Top position relative to parent
          left: 'auto', // Left position relative to parent
          shadow: '0 0 1px transparent', // Box-shadow for the lines
          position: 'absolute' // Element positioning
        };
        var target = document.getElementById("mark");
        var spinner = new Spinner(opts).spin(target);
    }
    
    // 去掉Loading图
    function hideSpin() {
        if ($("#mark").length > 0) {
            $("#mark").remove();
        }
    }
    
})($);