(function($) {
    
    // 返回按钮
    appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
    });
    
    // 进入已认领页面
    appcan.button("#nav-right", "btn-act", function() {
        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        //appcan.locStorage.val("changzhan-search", "1");
        setLocVal("changzhan-search", "1");
        
        appcan.window.open({
            name:"changzhan-home_ictms",
            data:"../changzhan-home_ictms.html",
            aniId:10
        });
    });
    
    //http://container.myzhoudao.com/LogisticsProvider_jzx/organization?userId=13569081

   
    var orgId = null; // 组织ID
     var zyfs = "EOFI";
    
    
    
    // var userId = 13569575;13368883;13366850;13368906
    // var userId = 5859194;13585594;5854331
    // appcan.locStorage.val("userId", "13368906");
    
   
    
    
    appcan.ready(function() {
        
        // 默认作业方式为提空进重
        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        // appcan.locStorage.val("changzhan-zyfs", zyfs);
        setLocVal("changzhan-zyfs", zyfs);
         //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        //var userId = appcan.locStorage.val("userId");
        var userId = getLocVal("userId");
        
        var height = $("#Header_rsoHgI").offset().height + $("#Box_bOxBsD").offset().height;
        $("#Box_jO8x3C").css("height", $("body").offset().height - height);
        var url=getLocVal("ictms_url")+"/containerApp/truck/checkChangzhanDriver"
        uexWindow.toast("0", "5", "正在请求数据...", "0");
        var param={
                "portId":getLocVal("portId"),
                "driverId":getLocVal("user_id"),
               "driverIdCard":getLocVal("checkIdCard_idCardNumber_store"),
                "appAccount":getLocVal("user_name")
            }
        $.ajax({
            contentType:"application/json;charset=UTF-8",
            url:url,
            type:"GET",
            data:param,
            datatype:"json",
            timeout:30000,
            beforeSend: function (request) {
                    request.setRequestHeader("Authorization", getLocVal("userToken"));
                }, 
            success: function(data){
                  $closeToast();
               // alert(data);
                var objType = (typeof data);
                if(objType == 'string'){
                    data = JSON.parse(data);
                }
                console.log(data);
                // alert(data.status);
                if(data.code==200){
                    if(data.rows.length>0){
                       if (data.rows.length > 1) {
                            showPopView(data.rows);
                        } else {
                            requestList(data.rows[0]);
                        } 
                    }else{
                       uexWindow.toast("0", "5", "您不是场站司机，无法查看场站业务", "2000"); 
                    }                   
               }else{
                   uexWindow.toast("0", "5", "您不是场站司机，无法查看场站业务", "2000");
               }
            },
            error:function(e){
                         console.log(e);
            }
        }); 
    })
    
    // 显示选择场站的浮窗
    function showPopView(list) {
        var mark = $("<div id='back' style='position:absolute;left:0;top:0;width:100%;height:100%;background-color:rgba(0,0,0,0.3);'></div>");
        $("body").append(mark);
        
        var pop = $("<div id='pop' style='width:100%;height:40%;top:60%;left:0;background-color:white;'></div>");
        mark.append(pop);
        
        var title = $("<div id='pop-tit' class='ub ub-pc ub-ac' style='width:100%;height:20%;border-bottom:1px solid rgba(200,200,200,1);background-color:rgba(240,240,240,1);font-weight:bold;'>请选择场站：</div>");
        pop.append(title);
        
        var content = $("<div id='pop-con' style='width:100%;height:80%;overflow:auto;'></div>");
        pop.append(content);
        
        $.each(list, function(k, v) {
            var cell = $("<div id='" + v.companyId + "' class='ub ub-ac ub-pc' style='width:100%;height:5em;border-bottom:1px solid rgba(200,200,200,1);'>" + v.placNam + "</div>");
            content.append(cell);
            
            cell.on("click", function(){
                mark.remove();
                requestList(v);
            });
        });
    }
    
    // 请求首页列表
    function requestList(data) {
        orgId = data.companyId;
        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        //appcan.locStorage.val("changzhan-org", orgId);
        setLocVal("changzhan-companyId", orgId);
        
        getData();
    }
    
    // 点击Tab切换
    $(".tab-btn").on("click", function() {
        $(".tab-btn").removeClass("selected");
        $(this).addClass("selected");
        if ($(this).hasClass("eoni")) {
            zyfs = "EONI";
        } else if($(this).hasClass("fino")) {
            zyfs = "FINO";
        }else{
            zyfs = "FONI";
        }
        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        //appcan.locStorage.val("changzhan-zyfs", zyfs);
        setLocVal("changzhan-zyfs", zyfs);
        
        
        getData();
    })
    
    // 首页请求
    function getData() {
        get(urlPath + "bill", {zyfs:zyfs, orgid:orgId}, function(data) {
            $("#Box_RpxCfR").empty();
            console.log("data"+data);
            console.log(data);
            if ("data" in data) {
                $.each(data.data, function(k, v) {
                    var cell = createCell(v);
                    $("#Box_RpxCfR").append(cell);
                     
                    cell[0].addEventListener("click", function() {
                        
                        
                        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
                        //appcan.locStorage.val("changzhan-tdh", v.bill_no);
                        //appcan.locStorage.val("changzhan-search", "0"); // 只有设置为不是2才能正常的进入页面，2是搜索结果页
                        setLocVal("changzhan-tdh", v.bill_no);
                        setLocVal("changzhan-search", "0");// 只有设置为不是2才能正常的进入页面，2是搜索结果页
                       
                       
                        appcan.window.open('changzhan-tdh', 'changzhan-tdh.html', 10);
                    });
                });
            }
        });
    }
    
    // 搜索按钮
    $("#search").on("click", function() {
        //2022-3-3 locstorage修改为getsetLocval 因为main.js中格式发生变化
        //appcan.locStorage.val("changzhan-search", "2"); // 2代表tdh页需要展示搜索结果，而不是tdh相关的信息
        setLocVal("changzhan-search", "2"); // 2代表tdh页需要展示搜索结果，而不是tdh相关的信息
        
        
        appcan.window.open({
            name:"zypz_search",
            data:"../zypz_search.html",
            aniId:10
        });
    })
    
    // ajax
    function get(url, args, cbsuccess) {
        showSpin();
        var request = $.ajax({
            type:"GET",
            timeout:10000,
            url:url,
            data:args,
            dataType:"json",
            success:function(data) {
                if (cbsuccess) {
                    cbsuccess(data);
                }
            },
            complete:function() {
                hideSpin();
            }
        });
        
        return request;
    }
    
    // 添加Loading图
    function showSpin() {
        var newMark = $("<div id='mark' style='position:absolute;left:0;top:0;width:100%;height:100%;background-color:rgba(0,0,0,0.5);z-index:9999;'></div>");
        $("body").append(newMark);
        var opts = {
          lines: 13, // The number of lines to draw
          length: 15, // The length of each line
          width: 8, // The line thickness
          radius: 20, // The radius of the inner circle
          scale: 0.5, // Scales overall size of the spinner
          corners: 1, // Corner roundness (0..1)
          color: '#ffffff', // CSS color or array of colors
          fadeColor: 'transparent', // CSS color or array of colors
          speed: 1, // Rounds per second
          rotate: 0, // The rotation offset
          animation: 'spinner-line-fade-quick', // The CSS animation name for the lines
          direction: 1, // 1: clockwise, -1: counterclockwise
          zIndex: 2e9, // The z-index (defaults to 2000000000)
          className: 'spinner', // The CSS class to assign to the spinner
          top: 'auto', // Top position relative to parent
          left: 'auto', // Left position relative to parent
          shadow: '0 0 1px transparent', // Box-shadow for the lines
          position: 'absolute' // Element positioning
        };
        var target = document.getElementById("mark");
        var spinner = new Spinner(opts).spin(target);
    }
    
    // 去掉Loading图
    function hideSpin() {
        if ($("#mark").length > 0) {
            $("#mark").remove();
        }
    }
    
})($);